curl --request GET \
--url https://api.example.com/auth/googleInitiate Google OAuth 2.0 authentication flow
curl --request GET \
--url https://api.example.com/auth/google/oauth2/authorization/google, which triggers the OAuth 2.0 flow with Google. After successful authentication, the user will be redirected back to your application with authentication credentials.
/oauth2/authorization/google, which then redirects to Google’s OAuth consent screen.
https://api.dailytracker.com/auth/google
// JavaScript redirect
window.location.href = 'https://api.dailytracker.com/auth/google';
<!-- HTML link -->
<a href="https://api.dailytracker.com/auth/google">
Sign in with Google
</a>
curl -L https://api.dailytracker.com/auth/google
-L flag tells cURL to follow redirects.
/auth/google/oauth2/authorization/google